figure('Color',[1 1 1]),hold on

fontlabelsize = 10;
panellabelsize = 12;
yscale = 'linear';
xmin = 0.001;
ymin = 0;
ymax = 100;
xlimits = [0 0.004];

subplot(2,2,1),hold on
load BNFsucc_data_fac_v_ob_v_non_severeNlim_psirange.mat
plot(psis,(swa_fia(1,:)+swa_fia(2,:))./(swa_fia(1,:)+swa_fia(2,:)+swa_fia(3,:))*100,'k-','LineWidth',1.5)
ylabel('N fixer % biomass','fontsize',fontlabelsize)
set(gca,'TickDir','out','XTick',[],'YTick',[0 100],'fontsize',fontlabelsize,'YScale',yscale)
ylim([ymin ymax])
xlim(xlimits)
text(xmin,105,'A','fontsize',panellabelsize,'fontweight','bold')

subplot(2,2,3),hold on
plot(psis,swa_fia(2,:)./(swa_fia(1,:)+swa_fia(2,:))*100,'k-','LineWidth',1.5)
set(gca,'TickDir','out','XTick',[],'YTick',[0 100],'fontsize',fontlabelsize,'YScale',yscale)
ylim([ymin ymax])
xlim(xlimits)
text(xmin,105,'C','fontsize',panellabelsize,'fontweight','bold')
ylabel('% N fixers obligate','fontsize',fontlabelsize)
xlabel('Cost of being facultative')

clear all
fontlabelsize = 10;
panellabelsize = 12;
yscale = 'linear';
xmin = 0.001;
ymin = 0;
ymax = 100;
xlimits = [0 0.004];

subplot(2,2,2),hold on
load BNFsucc_data_fac_v_ob_v_non_moderateNlim_psirange.mat
plot(psis,(swa_fia(1,:)+swa_fia(2,:))./(swa_fia(1,:)+swa_fia(2,:)+swa_fia(3,:))*100,'k-','LineWidth',1.5)
set(gca,'TickDir','out','XTick',[],'YTick',[0 100],'fontsize',fontlabelsize,'YScale',yscale)
ylim([ymin ymax])
xlim(xlimits)
text(xmin,105,'B','fontsize',panellabelsize,'fontweight','bold')

subplot(2,2,4),hold on
plot(psis,swa_fia(2,:)./(swa_fia(1,:)+swa_fia(2,:))*100,'k-','LineWidth',1.5)
set(gca,'TickDir','out','XTick',[],'YTick',[0 100],'fontsize',fontlabelsize,'YScale',yscale)
ylim([ymin ymax])
xlim(xlimits)
text(xmin,105,'D','fontsize',panellabelsize,'fontweight','bold')
xlabel('Cost of being facultative')

clear all