function p=Menge_SuccessionDynamicsModel_Pars_3()

global p

% ------------------------- Initialize parameters -------------------------

p.wN = [50 50 50]; % NUE [kg C/kg N]
p.wP = [600 600 600]; % PUE [kg C/kg P]
p.vN = [0.2 0.2 0.2]; % max N uptake rate [kg N/kg C/y]
p.vP = [0.2 0.2 0.2]; % max P uptake rate [kg P/kg C/y] WAS 0.02
p.KN = [0.1 0.1 0.1]; % N half sat const [kg N/ha]
p.KP = [0.01 0.01 0.01]; % P half sat const [kg P/ha] WAS 0.1
p.u = [0.5 0.5 0.5]; % plant turnover rate [/y]
p.thg = [5 5 5];%[5 5]; % N fixation cost of growth [kg C/kg N]
p.thu = [5 5 5];%[5 5]; % N fixation cost of mortality [kg C/kg N]
p.th = p.thg+p.thu;
p.mN = 0.3; % N mineralization rate [/y]
p.mP = 0.4; % P mineralization rate [/y] 0.4
p.phiN = 0.001; % DON loss rate [/y]
p.phiP = 0.001; % DOP loss rate [/y]
p.IN = 2; % N input rate [kg N/ha/y]
p.IP = 0.4; % P input rate [kg P/ha/y]; 0.2 for Not N limited
p.kN = 5; % N leaching constant [/y] WAS 1
p.kP = 5; % P leaching constant [/y] WAS 0.005
p.Fmax = [0.03 0.03 0.03]; % max F [kg N/kg C/y] 0.01
p.c = 120; % [/y]
p.psi = 0.0003;%0%0.001%0.003%.0001;%0.03; % cost of being able to change (per c) [unitless]
p.gamma = 0;%0.2; %0.4; %1; % cost of being able to change [/y]
